EDIT - bug #6842

NPE in Registration constructor when name is null

07/21/2017 03:35 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

Related issues:
Related to EDIT - task #6258: Add Registration to cdm model

Closed

Associated revisions

Revision 33cef333 - 07/21/2017 03:36 PM - Andreas Kohlbecker
fix #6842 avoiding NPE in Registation

Revision 95e0383a - 07/24/2017 09:27 AM - Andreas Kohlbecker
fix #6842 avoiding NPE in Registation - better aproach

Revision fdOb01e5 - 09/14/2017 11:08 AM - Andreas Miiller
fix #6842 fix bugs in Registration.setName

History

#1 - 07/21/2017 03:35 PM - Andreas Kohlbecker
- Related to task #6258: Add Registration to cdm model added

#2 - 07/21/2017 03:36 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|33cef333a65989e85839c3d4afebe253ed46ect3.

#3 - 07/21/2017 03:39 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#4 - 07/21/2017 03:59 PM - Andreas Miuller

hmm, should we better fix the setName() method instead the NewlInstance method?

#5 - 07/24/2017 09:28 AM - Andreas Kohlbecker

agreed and fixed

#6 - 09/14/2017 11:11 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Looks like there were still some bugs in setName().

e if name was null there was still an NPE in the last line

e existing registration was removed from name.getRegistrations but should be removed from this.name.getRegistrations()

* maybe some more

| adapted the method and wrote test to proof correct behavior.

03/20/2024

1/2



https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/33cef333a65989e85839c3d4afebe253ed46ecf3

Please review.

#7 - 09/25/2017 12:23 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
